﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MassMailing.WPF.Content
{
    /// <summary>
    /// The message that will be sent in large quantities.
    /// </summary>
    [Serializable]
    public sealed class MassMailingMessage
    {
        /// <summary>
        /// The attachments for the message.
        /// </summary>
        public List<String> Attachments { get; set; }

        /// <summary>
        /// The whom of where the message is from.
        /// </summary>
        public String From { get; set; }

        /// <summary>
        /// The subject of the message.
        /// </summary>
        public String Subject { get; set; }

        /// <summary>
        /// The body of the message.
        /// </summary>
        public String Body { get; set; }
    }
}
