﻿using System;

namespace MassMailing.WPF.Settings
{
    /// <summary>
    /// The settings for an SMTP server.
    /// </summary>
    [Serializable]
    public class SMTPSetting
    {
        /// <summary>
        /// The smtp server for the settings.
        /// </summary>
        public String SMTPServer { get; set; }

        /// <summary>
        /// Whether the smtp is SSL Enabled.
        /// </summary>
        public Nullable<Boolean> SSLEnabled { get; set; }

        /// <summary>
        /// The port for the settings.
        /// </summary>
        public Nullable<Int32> Port { get; set; }

        /// <summary>
        /// The maximum sent emails through smtp.
        /// </summary>
        public Nullable<Int32> MaximumSentEmails { get; set; }

        /// <summary>
        /// The number of emails that should be sent on each burst.
        /// </summary>
        public Nullable<Int32> BurstSize { get; set; }

        /// <summary>
        /// The delay in seconds between each burst.
        /// </summary>
        public Nullable<Int32> BurstDelay { get; set; }

        /// <summary>
        /// The login email address for the settings.
        /// </summary>
        public String EmailAddress { get; set; }

        /// <summary>
        /// The login password for the settings.
        /// </summary>
        public String Password { get; set; }
    }
}
